import { TasksManifest, TaskSpec } from '../types';
export declare class TaskRuntime {
    /**
     * The contents of tasks.json
     */
    readonly manifest: TasksManifest;
    /**
     * Whether manifest file exists
     */
    private readonly manifestFileExists;
    /**
     * The root directory of the project and the cwd for executing tasks.
     */
    readonly workdir: string;
    constructor(workdir: string, configdir: string);
    /**
     * The tasks in this project.
     */
    get tasks(): TaskSpec[];
    /**
     * Find a task by name, or `undefined` if not found.
     */
    tryFindTask(name: string): TaskSpec | undefined;
    /**
     * Runs the task.
     * @param name The task name.
     */
    runTask(name: string, parents?: string[]): void;
}
//# sourceMappingURL=task-runtime.d.ts.map